{#if loggedIn}
<slot></slot>
{:else if beforeLogin}
<div class="center">
    <ion-spinner></ion-spinner>
</div>
{:else}
<Login />
{/if}

<script>
import Login from '/client/components/Login'

let loggedIn, beforeLogin
const computation = Tracker.autorun(() => {
    let user = Meteor.user()
    loggedIn = !!Meteor.user() && !Meteor.loggingIn()
    beforeLogin = !!localStorage.getItem('Meteor.userId')
})
</script>

<style>
.center {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}
</style>